apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: prod
# namePrefix: prod-   # rien n'interdit de combiner namespace ET namePrefix
# nameSuffix: -prod

commonLabels:
  variante: prod-phase

resources:
  - ../../base

patches:   # a remplacé patchesStrategicMerge à partir de la v5
#  - path: qte_replicas.yaml
  - patch: |-               # alternative à path
      apiVersion: apps/v1
      kind: Deployment
      metadata:
        name: nginx-discret
      spec:
        replicas: 42

images:
  - name: nginx   # ATTENTION !!! Doit correspondre à la partie repository de l'image ET NON à la valeur de la clef "name" du dictionnaire "image" de la description d'un conteneur
   # newName: nginx       # facultatif si le nom de l'image ne change pas
    newTag: 1.18-alpine
